Project

General

Profile

Bug #13655

external encoding named "-" (doc issue or…?)

Added by shyouhei (Shyouhei Urabe) about 3 years ago. Updated over 2 years ago.

Status:
Closed
Priority:
Normal
Target version:
ruby -v:
ruby 2.5.0dev (2017-06-09 trunk 59055) [x86_64-darwin15]
[ruby-core:81665]

Description

IO.new's document explicitly states that it accepts "-" as external encoding:

https://github.com/ruby/ruby/blob/d0015e4ac6b812ea1681b1f5fa86fbab52a58960/io.c#L7790

which is not true.

% ruby -ve 'IO.new(0, external_encoding: "-")'
ruby 2.5.0dev (2017-06-09 trunk 59055) [x86_64-darwin15]
Traceback (most recent call last):
        2: from -e:1:in `<main>'
        1: from -e:1:in `new'
-e:1:in `initialize': unknown encoding name - - (ArgumentError)

Updated by nobu (Nobuyoshi Nakada) about 3 years ago

I think it a doc issue.

Updated by shyouhei (Shyouhei Urabe) about 3 years ago

  • Assignee set to stomar (Marcus Stollsteimer)
  • Status changed from Open to Assigned

We looked at this issue at yesterday's developer meeting and none of attendees remembered there has been any plans to have this feature. It seems to be a doc issue. Please delete this part.

#3

Updated by naruse (Yui NARUSE) over 2 years ago

  • Status changed from Assigned to Closed

Applied in changeset trunk|r61278.


IO.new doesn't recive "-" as external_encoding [Bug #13655]

Updated by nagachika (Tomoyuki Chikanaga) over 2 years ago

  • Backport changed from 2.2: REQUIRED, 2.3: REQUIRED, 2.4: REQUIRED to 2.2: REQUIRED, 2.3: REQUIRED, 2.4: DONE

ruby_2_4 r62846 merged revision(s) 61278,61281.

Updated by usa (Usaku NAKAMURA) over 2 years ago

  • Backport changed from 2.2: REQUIRED, 2.3: REQUIRED, 2.4: DONE to 2.2: REQUIRED, 2.3: DONE, 2.4: DONE

ruby_2_3 r62937 merged revision(s) 61278,61281.

Also available in: Atom PDF